


local EncoreMusicMap= {
	{"MAP01", "O_DMFL01", "Knight of the wind - Sonic & the Black Knight"},
	{"MAP07", "O_DMFL07", "Chance Meetings, Dancing Lariats - Digimon World Next Order"},
	{"MAP35", "O_DMFL35", "Destroyed Planet Namek - DBFigtherZ"},
	{"MAP40", "O_DMFL40", "Issou Night Club"},
	{"MAP50", "O_DMFL50", "Edy Kart"},
	{"MAP60", "O_DMFL60", "In the Fires of Ignition - Ys Memories of Celceta"}
}


local _loaded= false
local _encoreMusicVar= CV_FindVar("_addencoremusic")
local _encoreMusicToggle= CV_FindVar("encoremusic")

addHook ("MapLoad", function ()
	if not _encoreMusicToggle then
		_encoreMusicToggle= CV_FindVar("encoremusic")
	end
	if consoleplayer and _encoreMusicToggle and not _encoreMusicToggle.value then
		COM_BufInsertText(consoleplayer, "encoremusic on")
	end
	
	if not _loaded then
		if not _encoreMusicVar then
			_encoreMusicVar= CV_FindVar("_addencoremusic")
		end
		if consoleplayer and _encoreMusicVar then
			for i, emm in ipairs(EncoreMusicMap) do
				COM_BufInsertText(consoleplayer, "addencoremusic "..emm[1].." "..emm[2].." \""..emm[3].."\"")
			end
			_loaded= true
		end
	end
end)
